using System;
using System.Collections.Generic;
using System.Text;

namespace id.Quake {
	/// <summary>Used to construct a collision test.</summary>
	public class CollisionTest {

		private readonly Vector3 start;
		/// <summary>Gets the position at the start of this collision test probe.</summary>
		public Vector3 Start {
			get { return this.start; }
		}

		private readonly Vector3 end;
		/// <summary>Gets the position at the end of this collision test probe.</summary>
		public Vector3 End {
			get { return this.end; }
		}

	}
}
